index

Varkon MBS Programmers manual

# all_inv_on_sur - Procedure

## Description

##

Returns all the positions on a surface which are close to a given point in R3.

## Syntax

##

      all_inv_on_sur(surface, pos, order, n_pos, uv, xyz);

      ref    surface;
      vector pos;
      int    order;
      int    n_pos;
      vector uv();
      vector xyz();

## Principal parameters

surface | - Identity of the surface
pos | - Position in R3
order | - Method for the ordering of closest points (the solutions)
| Eq. 1: With respect to the distance to the input R*3 point
| Eq. 2: With respect to the input UV start point
n_pos | - Output number of solutions

## Optional parameters

uv | - (u,v) solution values
xyz | - (x,y,z) solution values

## Comments

See inv_on_sur for related information.

Varkon version 1.19C svn# 120